Bug 209119 - Autoupdate task seems not to download OSGi bundles
Autoupdate task seems not to download OSGi bundles
Status: RESOLVED DUPLICATE of bug 207075
Product: apisupport
Classification: Unclassified
Component: Harness
7.2
PC Linux
: P2 (vote)
: TBD
Assigned To: Jesse Glick
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 21:44 UTC by Jan Lahoda
Modified: 2012-03-03 00:17 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
A test module suite. (3.91 KB, application/zip)
2012-03-02 21:44 UTC, Jan Lahoda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Lahoda 2012-03-02 21:44:47 UTC
Created attachment 116310 [details]
A test module suite.

Unpack the attached (empty) module suite (created by a recent trunk build) somewhere, and try to run it as:

ant -Dbootstrap.url=http://deadlock.netbeans.org/hudson/job/nbms-and-javadoc/lastStableBuild/artifact/nbbuild/netbeans/harness/tasks.jar -Dautoupdate.catalog.url=http://bits.netbeans.org/netbeans/7.1/fcs/uc/catalog.xml.gz -Dnbplatform.default.netbeans.dest.dir=$PWD/tmp -Dnbplatform.default.harness.dir=$PWD/tmp/harness run

The attempt to run ends with:
     [exec] Warning - could not install some modules:
     [exec]     org.netbeans.modules.db.kit - The module org.netbeans.modules.ide.kit would also need to be installed.
     [exec]     org.netbeans.modules.dlight.nativeexecution - The module named com.jcraft.jsch was needed and not found.
     [exec]     org.netbeans.modules.git - The module org.netbeans.libs.git would also need to be installed.
     [exec]     org.netbeans.libs.git - The module named com.jcraft.jsch was needed and not found.
     [exec]     org.netbeans.libs.git - The module named org.eclipse.jgit was needed and not found.
     [exec]     org.netbeans.modules.bugzilla - The module named org.apache.commons.httpclient was needed and not found.
     [exec]     org.netbeans.modules.bugzilla - The module named org.eclipse.core.runtime was needed and not found.
     [exec]     org.netbeans.modules.bugzilla - The module named org.eclipse.equinox.common was needed and not found.
     [exec]     org.netbeans.modules.bugzilla - The module named org.eclipse.mylyn.bugzilla.core was needed and not found.
     [exec]     org.netbeans.modules.bugzilla - The module named org.eclipse.mylyn.commons.net was needed and not found.
     [exec]     org.netbeans.modules.bugzilla - The module named org.eclipse.mylyn.tasks.core was needed and not found.
     [exec]     org.netbeans.modules.ide.kit - The module org.netbeans.modules.dlight.terminal would also need to be installed.
     [exec]     org.netbeans.modules.bugzilla.exceptionreporter - The module org.netbeans.modules.bugzilla would also need to be installed.
     [exec]     org.netbeans.modules.dlight.terminal - The module org.netbeans.modules.dlight.nativeexecution would also need to be installed.
     [exec]     org.netbeans.modules.ide.branding.kit - The module org.netbeans.modules.ide.kit would also need to be installed.

Due to this, downloading through the AUC task seems to be unusable for platform-based applications.
Comment 1 Jesse Glick 2012-03-03 00:17:58 UTC
This was fixed on updates.netbeans.org, which is what README suggests you use. I did not realize there are also NBMs on bits.netbeans.org.

*** This bug has been marked as a duplicate of bug 207075 ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo